package com.seeyon.apps.src_hxinvoice.dao;

import java.util.List;
import java.util.Map;

public interface IHxinvoiceDao {

    public String getInvoiceIdByCode(String code,String shuihao);

    public String getInvoiceDYFlowIdByCode(String code,String shuihao);

    public int updateInvoiceDYFlowByCode(String msg,String code,String shuihao);

    public Map<String,String> getInvoicePLFlowIdByCode(String code,String shuihao);

    public int updateInvoicePLFlowByCode(String msg,String code,String shuihao);

    public int updateInvoiceByGoodsCode(String formmainId,String goodsCode,String taxAmount);

    public int updateInvoiceDataByNoCode(String formId, Map<String,String> param);

    public Map<String ,String> getCtpEnumItemsByEnumId (String refEnumId);

    public List<Map<String,String>> getInvoicesByState();

    public Map<String,Object> getGoodsByCode(String goodsCode);

//    查询快捷冲红未开票成功数据
    public List<Map<String,String>> queryFastRedInvoice();

//    根据税目编码查询税率信息
    public List<String> getTaxRateByTaxItemCode (String taxItemCode);



}
